#!/bin/bash

### Test run a) without any trust
samba-tool domain trust delete w2k8r2d2.ar \
	-U w2k8r2d2\\Administrator%Univention.3

scenario="GPO_eval_success_without_trust"
ts=$(date +%Y%m%d%H%M%S)
samba-tool domain exportkeytab "domain.keytab-$ts"
cp -r /var/log/samba ./samba.0
tcpdump -p -s 0 -w "${scenario}_${ts}.pcap" \
	"host win7pro230.univention.intranet and host $(hostname)" &
read -p "Please start the Windows-client and run gpupdate /force as Administrator. Continue[?]"
kill %1
cp -r /var/log/samba ./samba.1

diff -uar --exclude=*core* samba.0 samba.1 > "$scenario".log.diff
rm -rf samba.0 samba.1


### Test run b) with bidirectional forest trust
samba-tool domain trust delete w2k8r2d2.ar \
	-U w2k8r2d2\\Administrator%Univention.3

./setup_external_trust.sh 10.200.8.126 w2k8r2d2.ar \
	Administrator Univention.3 \
	--type=forest
read -p "Please halt the Windows-client. Continue[Y]"

scenario="GPO_eval_fails_with_forest_trust"
ts=$(date +%Y%m%d%H%M%S)
cp -r /var/log/samba ./samba.0
tcpdump -p -s 0 -w "${scenario}_${ts}.pcap" \
	"host win7pro230.univention.intranet and host $(hostname)" &
read -p "Please start the Windows-client and run gpupdate /force as Administrator. Continue[?]"
kill %1
cp -r /var/log/samba ./samba.1

diff -uar --exclude=*core* samba.0 samba.1 > "$scenario".log.diff
rm -rf samba.0 samba.1


### Test run c) with bidirectional external trust
samba-tool domain trust delete w2k8r2d2.ar \
	-U w2k8r2d2\\Administrator%Univention.3

./setup_external_trust.sh 10.200.8.126 w2k8r2d2.ar \
	Administrator Univention.3 \
	--type=external
read -p "Please halt the Windows-client. Continue[Y]"


scenario="GPO_eval_fails_with_external_trust"
ts=$(date +%Y%m%d%H%M%S)
cp -r /var/log/samba ./samba.0
tcpdump -p -s 0 -w "${scenario}_${ts}.pcap" \
	"host win7pro230.univention.intranet and host $(hostname)" &
read -p "Please start the Windows-client and run gpupdate /force as Administrator. Continue[?]"
kill %1
cp -r /var/log/samba ./samba.1

diff -uar --exclude=*core* samba.0 samba.1 > "$scenario".log.diff
rm -rf samba.0 samba.1
